/**
 * ./src/components/lvmoptions.tsx
 * penguins-eggs v.10.0.0 / ecmascript 2020
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
import React from 'react';
import Title from './title.js';
import Steps from './steps.js';
import { Text, Box } from 'ink';
// pjson
import { createRequire } from 'module';
const require = createRequire(import.meta.url);
export default function LvmOptions({ lvmPreset, lvmOptions }) {
    return (React.createElement(React.Fragment, null,
        React.createElement(Title, null),
        React.createElement(Box, { width: 75, height: 11, borderStyle: "round", flexDirection: "column" },
            React.createElement(Box, { flexDirection: "column" },
                React.createElement(Box, { flexDirection: "row" },
                    React.createElement(Steps, { step: 4 }),
                    React.createElement(Box, { flexDirection: "column" },
                        React.createElement(Box, null,
                            React.createElement(Text, null, "LVM Preset: "),
                            React.createElement(Text, { color: 'yellow' }, lvmPreset)),
                        React.createElement(Box, null,
                            React.createElement(Text, null, "Volume group name: "),
                            React.createElement(Text, { color: 'cyan' }, lvmOptions.vgName)),
                        React.createElement(Box, null,
                            React.createElement(Text, null, "Logical volume root name: "),
                            React.createElement(Text, { color: 'cyan' }, lvmOptions.lvRootName)),
                        React.createElement(Box, null,
                            React.createElement(Text, null, "Logical volume root filesystem: "),
                            React.createElement(Text, { color: 'cyan' }, lvmOptions.lvRootFSType)),
                        React.createElement(Box, null,
                            React.createElement(Text, null, "Logical volume root size: "),
                            React.createElement(Text, { color: 'cyan' }, lvmOptions.lvRootSize)),
                        React.createElement(Box, null,
                            React.createElement(Text, null, "Logical volume data name: "),
                            React.createElement(Text, { color: 'cyan' }, lvmOptions.lvDataName)),
                        React.createElement(Box, null,
                            React.createElement(Text, null, "Logical volume data filesystem: "),
                            React.createElement(Text, { color: 'cyan' }, lvmOptions.lvDataFSType)),
                        React.createElement(Box, null,
                            React.createElement(Text, null, "Logical volume data mount point: "),
                            React.createElement(Text, { color: 'cyan' }, lvmOptions.lvDataMountPoint))))))));
}
